import request from '@/utils/request'

// 查询商品邮费列表
export function listMallGoodsPostFee(query) {
  return request({
    url: '/mall/mallGoodsPostFee/list',
    method: 'get',
    params: query
  })
}

// 查询商品邮费详细
export function getMallGoodsPostFee(id) {
  return request({
    url: '/mall/mallGoodsPostFee/' + id,
    method: 'get'
  })
}

// 新增商品邮费
export function addMallGoodsPostFee(data) {
  return request({
    url: '/mall/mallGoodsPostFee',
    method: 'post',
    data: data
  })
}

// 修改商品邮费
export function updateMallGoodsPostFee(data) {
  return request({
    url: '/mall/mallGoodsPostFee',
    method: 'put',
    data: data
  })
}

// 删除商品邮费
export function delMallGoodsPostFee(id) {
  return request({
    url: '/mall/mallGoodsPostFee/' + id,
    method: 'delete'
  })
}

// 导出商品邮费
export function exportMallGoodsPostFee(query) {
  return request({
    url: '/mall/mallGoodsPostFee/export',
    method: 'get',
    params: query
  })
}